import React from 'react';

function createCommonjsModule(fn, basedir, module) {
	return module = {
	  path: basedir,
	  exports: {},
	  require: function (path, base) {
      return commonjsRequire(path, (base === undefined || base === null) ? module.path : base);
    }
	}, fn(module, module.exports), module.exports;
}

function commonjsRequire () {
	throw new Error('Dynamic requires are not currently supported by @rollup/plugin-commonjs');
}

var classnames = createCommonjsModule(function (module) {
/*!
  Copyright (c) 2017 Jed Watson.
  Licensed under the MIT License (MIT), see
  http://jedwatson.github.io/classnames
*/
/* global define */

(function () {

	var hasOwn = {}.hasOwnProperty;

	function classNames () {
		var classes = [];

		for (var i = 0; i < arguments.length; i++) {
			var arg = arguments[i];
			if (!arg) continue;

			var argType = typeof arg;

			if (argType === 'string' || argType === 'number') {
				classes.push(arg);
			} else if (Array.isArray(arg) && arg.length) {
				var inner = classNames.apply(null, arg);
				if (inner) {
					classes.push(inner);
				}
			} else if (argType === 'object') {
				for (var key in arg) {
					if (hasOwn.call(arg, key) && arg[key]) {
						classes.push(key);
					}
				}
			}
		}

		return classes.join(' ');
	}

	if ( module.exports) {
		classNames.default = classNames;
		module.exports = classNames;
	} else {
		window.classNames = classNames;
	}
}());
});

function styleInject(css, ref) {
  if ( ref === void 0 ) ref = {};
  var insertAt = ref.insertAt;

  if (!css || typeof document === 'undefined') { return; }

  var head = document.head || document.getElementsByTagName('head')[0];
  var style = document.createElement('style');
  style.type = 'text/css';

  if (insertAt === 'top') {
    if (head.firstChild) {
      head.insertBefore(style, head.firstChild);
    } else {
      head.appendChild(style);
    }
  } else {
    head.appendChild(style);
  }

  if (style.styleSheet) {
    style.styleSheet.cssText = css;
  } else {
    style.appendChild(document.createTextNode(css));
  }
}

var css_248z = "@import url(\"https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap\");\n\n.Button-module_customClass__1R3pp {\n  background-color: red;\n}\n\n.Button-module_button__1msFE {\n  border-radius: 8px;\n  padding: 1em;\n  border: none;\n  width: 100%;\n  background-color: #0b1f8f;\n  color: white;\n  font-family: \"Roboto\", sans-serif;\n  font-weight: bold;\n  font-stretch: normal;\n  font-style: normal;\n  line-height: 1.25;\n  letter-spacing: normal;\n  cursor: pointer;\n  box-sizing: border-box;\n}\n\n.Button-module_button__1msFE.Button-module_icon__O-h7R {\n  display: flex;\n  align-items: center;\n  justify-content: center;\n  padding: 1em 20px;\n}\n\n.Button-module_button__1msFE.Button-module_icon__O-h7R img {\n  margin-right: 20px;\n  max-height: 2em;\n}\n\n.Button-module_button__1msFE.Button-module_icon__O-h7R span {\n  margin-top: 5px;\n}\n\n.Button-module_button__1msFE.Button-module_icon__O-h7R.Button-module_disabled__1eg9r img {\n  filter: contrast(0) opacity(0.3);\n}\n\n.Button-module_button__1msFE:active {\n  outline: none;\n  filter: saturate(0.7);\n}\n\n.Button-module_button__1msFE:focus {\n  outline: none;\n}\n\n.Button-module_button__1msFE:hover {\n  filter: saturate(0.5);\n}\n\n.Button-module_button__1msFE.Button-module_light__2VFJu {\n  border: 1px solid #0b1f8f;\n  background-color: transparent;\n  color: #0b1f8f;\n}\n\n.Button-module_button__1msFE.Button-module_light__2VFJu:active {\n  border-width: 1px;\n}\n\n.Button-module_button__1msFE.Button-module_light__2VFJu:hover {\n  color: #333;\n  border: solid 1px #13284c;\n  background-color: #ced5db;\n}\n\n.Button-module_button__1msFE.Button-module_light__2VFJu:hover img {\n  filter: brightness(0.5);\n}\n\n.Button-module_button__1msFE.Button-module_light__2VFJu.Button-module_disabled__1eg9r {\n  border: solid 1px #e0e0e0;\n  color: #e0e0e0;\n  background-color: white;\n}\n\n.Button-module_button__1msFE.Button-module_plain__3RbNq {\n  font-size: 14px;\n  font-weight: 600;\n  padding: 0;\n  background: none;\n  outline: none;\n  color: var(--accent-color, #4f4f4f);\n  text-decoration: underline;\n}\n\n.Button-module_button__1msFE.Button-module_plain__3RbNq.Button-module_disabled__1eg9r {\n  color: #bdbdbd;\n  cursor: not-allowed;\n}\n\n.Button-module_button__1msFE.Button-module_disabled__1eg9r {\n  background-color: #e0e0e0;\n  cursor: not-allowed;\n}\n\n.Button-module_button__1msFE.Button-module_disabled__1eg9r:active {\n  background-color: #e0e0e0;\n}\n\n.Button-module_button__1msFE.Button-module_mememe__21mRO {\n  padding: 8px 20px;\n  display: flex;\n  align-items: center;\n  justify-content: center;\n}\n";
var styles = {"customClass":"Button-module_customClass__1R3pp","button":"Button-module_button__1msFE","icon":"Button-module_icon__O-h7R","disabled":"Button-module_disabled__1eg9r","light":"Button-module_light__2VFJu","plain":"Button-module_plain__3RbNq","mememe":"Button-module_mememe__21mRO"};
styleInject(css_248z);

var css_248z$1 = "* {\n  font-family: 'Roboto', sans-serif;\n  -webkit-font-smoothing: antialiased !important;\n  -moz-osx-font-smoothing: grayscale !important;\n  -moz-font-smoothing: antialiased !important;\n  text-rendering: optimizeLegibility;\n  box-sizing: border-box;\n  outline: none;\n}\n\n::placeholder {\n  color: rgba(0, 0, 0, 0.3);\n}\n\nh1,\nh2,\nh3,\nh4,\nh5,\nh6,\nfieldset,\nheader,\nsection,\narticle,\nul,\nli {\n  margin: 0;\n  padding: 0;\n  border: none;\n  list-style-type: none;\n}\n\n::selection {\n  background-color: #55efa4;\n  color: #fff;\n}\n";
styleInject(css_248z$1);

var css_248z$2 = "/*! normalize.css v8.0.1 | MIT License | github.com/necolas/normalize.css */\n\n/* Document\n   ========================================================================== */\n\n/**\n * 1. Correct the line height in all browsers.\n * 2. Prevent adjustments of font size after orientation changes in iOS.\n */\n\nhtml {\n  line-height: 1.15;\n  /* 1 */\n  -webkit-text-size-adjust: 100%;\n  /* 2 */\n}\n\n/* Sections\n   ========================================================================== */\n\n/**\n * Remove the margin in all browsers.\n */\n\nbody {\n  margin: 0;\n}\n\n/**\n * Render the `main` element consistently in IE.\n */\n\nmain {\n  display: block;\n}\n\n/**\n * Correct the font size and margin on `h1` elements within `section` and\n * `article` contexts in Chrome, Firefox, and Safari.\n */\n\nh1 {\n  font-size: 2em;\n  margin: 0.67em 0;\n}\n\n/* Grouping content\n   ========================================================================== */\n\n/**\n * 1. Add the correct box sizing in Firefox.\n * 2. Show the overflow in Edge and IE.\n */\n\nhr {\n  box-sizing: content-box;\n  /* 1 */\n  height: 0;\n  /* 1 */\n  overflow: visible;\n  /* 2 */\n}\n\n/**\n * 1. Correct the inheritance and scaling of font size in all browsers.\n * 2. Correct the odd `em` font sizing in all browsers.\n */\n\npre {\n  font-family: monospace, monospace;\n  /* 1 */\n  font-size: 1em;\n  /* 2 */\n}\n\n/* Text-level semantics\n   ========================================================================== */\n\n/**\n * Remove the gray background on active links in IE 10.\n */\n\na {\n  background-color: transparent;\n}\n\n/**\n * 1. Remove the bottom border in Chrome 57-\n * 2. Add the correct text decoration in Chrome, Edge, IE, Opera, and Safari.\n */\n\nabbr[title] {\n  border-bottom: none;\n  /* 1 */\n  text-decoration: underline;\n  /* 2 */\n  text-decoration: underline dotted;\n  /* 2 */\n}\n\n/**\n * Add the correct font weight in Chrome, Edge, and Safari.\n */\n\nb,\nstrong {\n  font-weight: bolder;\n}\n\n/**\n * 1. Correct the inheritance and scaling of font size in all browsers.\n * 2. Correct the odd `em` font sizing in all browsers.\n */\n\ncode,\nkbd,\nsamp {\n  font-family: monospace, monospace;\n  /* 1 */\n  font-size: 1em;\n  /* 2 */\n}\n\n/**\n * Add the correct font size in all browsers.\n */\n\nsmall {\n  font-size: 80%;\n}\n\n/**\n * Prevent `sub` and `sup` elements from affecting the line height in\n * all browsers.\n */\n\nsub,\nsup {\n  font-size: 75%;\n  line-height: 0;\n  position: relative;\n  vertical-align: baseline;\n}\n\nsub {\n  bottom: -0.25em;\n}\n\nsup {\n  top: -0.5em;\n}\n\n/* Embedded content\n   ========================================================================== */\n\n/**\n * Remove the border on images inside links in IE 10.\n */\n\nimg {\n  border-style: none;\n}\n\n/* Forms\n   ========================================================================== */\n\n/**\n * 1. Change the font styles in all browsers.\n * 2. Remove the margin in Firefox and Safari.\n */\n\nbutton,\ninput,\noptgroup,\nselect,\ntextarea {\n  font-family: inherit;\n  /* 1 */\n  font-size: 100%;\n  /* 1 */\n  line-height: 1.15;\n  /* 1 */\n  margin: 0;\n  /* 2 */\n}\n\n/**\n * Show the overflow in IE.\n * 1. Show the overflow in Edge.\n */\n\nbutton,\ninput {\n  /* 1 */\n  overflow: visible;\n}\n\n/**\n * Remove the inheritance of text transform in Edge, Firefox, and IE.\n * 1. Remove the inheritance of text transform in Firefox.\n */\n\nbutton,\nselect {\n  /* 1 */\n  text-transform: none;\n}\n\n/**\n * Correct the inability to style clickable types in iOS and Safari.\n */\n\nbutton,\n[type=\"button\"],\n[type=\"reset\"],\n[type=\"submit\"] {\n  -webkit-appearance: button;\n}\n\n/**\n * Remove the inner border and padding in Firefox.\n */\n\nbutton::-moz-focus-inner,\n[type=\"button\"]::-moz-focus-inner,\n[type=\"reset\"]::-moz-focus-inner,\n[type=\"submit\"]::-moz-focus-inner {\n  border-style: none;\n  padding: 0;\n}\n\n/**\n * Restore the focus styles unset by the previous rule.\n */\n\nbutton:-moz-focusring,\n[type=\"button\"]:-moz-focusring,\n[type=\"reset\"]:-moz-focusring,\n[type=\"submit\"]:-moz-focusring {\n  outline: 1px dotted ButtonText;\n}\n\n/**\n * Correct the padding in Firefox.\n */\n\nfieldset {\n  padding: 0.35em 0.75em 0.625em;\n}\n\n/**\n * 1. Correct the text wrapping in Edge and IE.\n * 2. Correct the color inheritance from `fieldset` elements in IE.\n * 3. Remove the padding so developers are not caught out when they zero out\n *    `fieldset` elements in all browsers.\n */\n\nlegend {\n  box-sizing: border-box;\n  /* 1 */\n  color: inherit;\n  /* 2 */\n  display: table;\n  /* 1 */\n  max-width: 100%;\n  /* 1 */\n  padding: 0;\n  /* 3 */\n  white-space: normal;\n  /* 1 */\n}\n\n/**\n * Add the correct vertical alignment in Chrome, Firefox, and Opera.\n */\n\nprogress {\n  vertical-align: baseline;\n}\n\n/**\n * Remove the default vertical scrollbar in IE 10+.\n */\n\ntextarea {\n  overflow: auto;\n}\n\n/**\n * 1. Add the correct box sizing in IE 10.\n * 2. Remove the padding in IE 10.\n */\n\n[type=\"checkbox\"],\n[type=\"radio\"] {\n  box-sizing: border-box;\n  /* 1 */\n  padding: 0;\n  /* 2 */\n}\n\n/**\n * Correct the cursor style of increment and decrement buttons in Chrome.\n */\n\n[type=\"number\"]::-webkit-inner-spin-button,\n[type=\"number\"]::-webkit-outer-spin-button {\n  height: auto;\n}\n\n/**\n * 1. Correct the odd appearance in Chrome and Safari.\n * 2. Correct the outline style in Safari.\n */\n\n[type=\"search\"] {\n  -webkit-appearance: textfield;\n  /* 1 */\n  outline-offset: -2px;\n  /* 2 */\n}\n\n/**\n * Remove the inner padding in Chrome and Safari on macOS.\n */\n\n[type=\"search\"]::-webkit-search-decoration {\n  -webkit-appearance: none;\n}\n\n/**\n * 1. Correct the inability to style clickable types in iOS and Safari.\n * 2. Change font properties to `inherit` in Safari.\n */\n\n::-webkit-file-upload-button {\n  -webkit-appearance: button;\n  /* 1 */\n  font: inherit;\n  /* 2 */\n}\n\n/* Interactive\n   ========================================================================== */\n\n/*\n * Add the correct display in Edge, IE 10+, and Firefox.\n */\n\ndetails {\n  display: block;\n}\n\n/*\n * Add the correct display in all browsers.\n */\n\nsummary {\n  display: list-item;\n}\n\n/* Misc\n   ========================================================================== */\n\n/**\n * Add the correct display in IE 10+.\n */\n\ntemplate {\n  display: none;\n}\n\n/**\n * Add the correct display in IE 10.\n */\n\n[hidden] {\n  display: none;\n}\n\n/**\n * Manually forked from SUIT CSS Base: https://github.com/suitcss/base\n * A thin layer on top of normalize.css that provides a starting point more\n * suitable for web applications.\n */\n\n/**\n * Removes the default spacing and border for appropriate elements.\n */\n\nblockquote,\ndl,\ndd,\nh1,\nh2,\nh3,\nh4,\nh5,\nh6,\nhr,\nfigure,\np,\npre {\n  margin: 0;\n}\n\nbutton {\n  background-color: transparent;\n  background-image: none;\n  padding: 0;\n}\n\n/**\n * Work around a Firefox/IE bug where the transparent `button` background\n * results in a loss of the default `button` focus styles.\n */\n\nbutton:focus {\n  outline: 1px dotted;\n  outline: 5px auto -webkit-focus-ring-color;\n}\n\nfieldset {\n  margin: 0;\n  padding: 0;\n}\n\nol,\nul {\n  list-style: none;\n  margin: 0;\n  padding: 0;\n}\n\n/**\n * Tailwind custom reset styles\n */\n\n/**\n * 1. Use the user's configured `sans` font-family (with Tailwind's default\n *    sans-serif font stack as a fallback) as a sane default.\n * 2. Use Tailwind's default \"normal\" line-height so the user isn't forced\n *    to override it to ensure consistency even when using the default theme.\n */\n\nhtml {\n  font-family: system-ui, -apple-system, BlinkMacSystemFont, \"Segoe UI\", Roboto, \"Helvetica Neue\", Arial, \"Noto Sans\", sans-serif, \"Apple Color Emoji\", \"Segoe UI Emoji\", \"Segoe UI Symbol\", \"Noto Color Emoji\";\n  /* 1 */\n  line-height: 1.5;\n  /* 2 */\n}\n\n/**\n * 1. Prevent padding and border from affecting element width.\n *\n *    We used to set this in the html element and inherit from\n *    the parent element for everything else. This caused issues\n *    in shadow-dom-enhanced elements like <details> where the content\n *    is wrapped by a div with box-sizing set to `content-box`.\n *\n *    https://github.com/mozdevs/cssremedy/issues/4\n *\n *\n * 2. Allow adding a border to an element by just adding a border-width.\n *\n *    By default, the way the browser specifies that an element should have no\n *    border is by setting it's border-style to `none` in the user-agent\n *    stylesheet.\n *\n *    In order to easily add borders to elements by just setting the `border-width`\n *    property, we change the default border-style for all elements to `solid`, and\n *    use border-width to hide them instead. This way our `border` utilities only\n *    need to set the `border-width` property instead of the entire `border`\n *    shorthand, making our border utilities much more straightforward to compose.\n *\n *    https://github.com/tailwindcss/tailwindcss/pull/116\n */\n\n*,\n::before,\n::after {\n  box-sizing: border-box;\n  /* 1 */\n  border-width: 0;\n  /* 2 */\n  border-style: solid;\n  /* 2 */\n  border-color: #e2e8f0;\n  /* 2 */\n}\n\n/*\n * Ensure horizontal rules are visible by default\n */\n\nhr {\n  border-top-width: 1px;\n}\n\n/**\n * Undo the `border-style: none` reset that Normalize applies to images so that\n * our `border-{width}` utilities have the expected effect.\n *\n * The Normalize reset is unnecessary for us since we default the border-width\n * to 0 on all elements.\n *\n * https://github.com/tailwindcss/tailwindcss/issues/362\n */\n\nimg {\n  border-style: solid;\n}\n\ntextarea {\n  resize: vertical;\n}\n\ninput::placeholder,\ntextarea::placeholder {\n  color: #a0aec0;\n}\n\nbutton,\n[role=\"button\"] {\n  cursor: pointer;\n}\n\ntable {\n  border-collapse: collapse;\n}\n\nh1,\nh2,\nh3,\nh4,\nh5,\nh6 {\n  font-size: inherit;\n  font-weight: inherit;\n}\n\n/**\n * Reset links to optimize for opt-in styling instead of\n * opt-out.\n */\n\na {\n  color: inherit;\n  text-decoration: inherit;\n}\n\n/**\n * Reset form element properties that are easy to forget to\n * style explicitly so you don't inadvertently introduce\n * styles that deviate from your design system. These styles\n * supplement a partial reset that is already applied by\n * normalize.css.\n */\n\nbutton,\ninput,\noptgroup,\nselect,\ntextarea {\n  padding: 0;\n  line-height: inherit;\n  color: inherit;\n}\n\n/**\n * Use the configured 'mono' font family for elements that\n * are expected to be rendered with a monospace font, falling\n * back to the system monospace stack if there is no configured\n * 'mono' font family.\n */\n\npre,\ncode,\nkbd,\nsamp {\n  font-family: Menlo, Monaco, Consolas, \"Liberation Mono\", \"Courier New\", monospace;\n}\n\n/**\n * Make replaced elements `display: block` by default as that's\n * the behavior you want almost all of the time. Inspired by\n * CSS Remedy, with `svg` added as well.\n *\n * https://github.com/mozdevs/cssremedy/issues/14\n */\n\nimg,\nsvg,\nvideo,\ncanvas,\naudio,\niframe,\nembed,\nobject {\n  display: block;\n  vertical-align: middle;\n}\n\n/**\n * Constrain images and videos to the parent width and preserve\n * their instrinsic aspect ratio.\n *\n * https://github.com/mozdevs/cssremedy/issues/14\n */\n\nimg,\nvideo {\n  max-width: 100%;\n  height: auto;\n}\n\n.container {\n  width: 100%;\n}\n\n@media (min-width: 640px) {\n  .container {\n    max-width: 640px;\n  }\n}\n\n@media (min-width: 768px) {\n  .container {\n    max-width: 768px;\n  }\n}\n\n@media (min-width: 1024px) {\n  .container {\n    max-width: 1024px;\n  }\n}\n\n@media (min-width: 1280px) {\n  .container {\n    max-width: 1280px;\n  }\n}\n\n.form-input {\n  -webkit-appearance: none;\n  appearance: none;\n  background-color: #fff;\n  border-color: #cbd5e0;\n  border-width: 1px;\n  border-radius: 0;\n  padding-top: 0.75rem;\n  padding-right: 0.75rem;\n  padding-bottom: 0.75rem;\n  padding-left: 0.75rem;\n  font-size: 0.875rem;\n  line-height: 1.5;\n}\n\n.form-input::placeholder {\n  color: #a0aec0;\n  opacity: 1;\n}\n\n.form-input:focus {\n  outline: none;\n  box-shadow: 0 0 0 3px rgba(66, 153, 225, 0.5);\n  border-color: #63b3ed;\n}\n\n.form-input {\n  box-shadow: 0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06);\n}\n\n.form-textarea {\n  -webkit-appearance: none;\n  appearance: none;\n  background-color: #fff;\n  border-color: #cbd5e0;\n  border-width: 1px;\n  border-radius: 0;\n  padding-top: 0.75rem;\n  padding-right: 0.75rem;\n  padding-bottom: 0.75rem;\n  padding-left: 0.75rem;\n  font-size: 0.875rem;\n  line-height: 1.5;\n}\n\n.form-textarea::placeholder {\n  color: #a0aec0;\n  opacity: 1;\n}\n\n.form-textarea:focus {\n  outline: none;\n  box-shadow: 0 0 0 3px rgba(66, 153, 225, 0.5);\n  border-color: #63b3ed;\n}\n\n.form-textarea {\n  box-shadow: 0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06);\n}\n\n.form-multiselect {\n  -webkit-appearance: none;\n  appearance: none;\n  background-color: #fff;\n  border-color: #cbd5e0;\n  border-width: 1px;\n  border-radius: 0;\n  padding-top: 0.75rem;\n  padding-right: 0.75rem;\n  padding-bottom: 0.75rem;\n  padding-left: 0.75rem;\n  font-size: 0.875rem;\n  line-height: 1.5;\n}\n\n.form-multiselect:focus {\n  outline: none;\n  box-shadow: 0 0 0 3px rgba(66, 153, 225, 0.5);\n  border-color: #63b3ed;\n}\n\n.form-multiselect {\n  box-shadow: 0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06);\n}\n\n.form-select {\n  background-image: url(\"data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24' fill='%23a0aec0'%3e%3cpath d='M15.3 9.3a1 1 0 0 1 1.4 1.4l-4 4a1 1 0 0 1-1.4 0l-4-4a1 1 0 0 1 1.4-1.4l3.3 3.29 3.3-3.3z'/%3e%3c/svg%3e\");\n  -webkit-appearance: none;\n  appearance: none;\n  -webkit-print-color-adjust: exact;\n  color-adjust: exact;\n  background-repeat: no-repeat;\n  background-color: #fff;\n  border-color: #cbd5e0;\n  border-width: 1px;\n  border-radius: 0;\n  padding-top: 0.75rem;\n  padding-right: 2.5rem;\n  padding-bottom: 0.75rem;\n  padding-left: 0.75rem;\n  font-size: 0.875rem;\n  line-height: 1.5;\n  background-position: right 0.5rem center;\n  background-size: 1.5em 1.5em;\n}\n\n.form-select::-ms-expand {\n  color: #a0aec0;\n  border: none;\n}\n\n@media not print {\n  .form-select::-ms-expand {\n    display: none;\n  }\n}\n\n@media print and (-ms-high-contrast: active), print and (-ms-high-contrast: none) {\n  .form-select {\n    padding-right: 0.75rem;\n  }\n}\n\n.form-select:focus {\n  outline: none;\n  box-shadow: 0 0 0 3px rgba(66, 153, 225, 0.5);\n  border-color: #63b3ed;\n}\n\n.form-select {\n  box-shadow: 0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06);\n}\n\n.form-checkbox:checked:checked {\n  background-image: url(\"data:image/svg+xml,none\");\n}\n\n.form-checkbox:checked {\n  background-image: url(\"data:image/svg+xml,%3csvg viewBox='0 0 16 16' fill='white' xmlns='http://www.w3.org/2000/svg'%3e%3cpath d='M5.707 7.293a1 1 0 0 0-1.414 1.414l2 2a1 1 0 0 0 1.414 0l4-4a1 1 0 0 0-1.414-1.414L7 8.586 5.707 7.293z'/%3e%3c/svg%3e\");\n  border-color: transparent;\n  background-color: currentColor;\n  background-size: 100% 100%;\n  background-position: center;\n  background-repeat: no-repeat;\n}\n\n@media not print {\n  .form-checkbox::-ms-check {\n    border-width: 1px;\n    color: transparent;\n    background: inherit;\n    border-color: inherit;\n    border-radius: inherit;\n  }\n}\n\n.form-checkbox {\n  -webkit-appearance: none;\n  appearance: none;\n  -webkit-print-color-adjust: exact;\n  color-adjust: exact;\n  display: inline-block;\n  vertical-align: middle;\n  background-origin: border-box;\n  -webkit-user-select: none;\n  user-select: none;\n  flex-shrink: 0;\n  height: 1em;\n  width: 1em;\n  color: #41f0a5;\n  background-color: #fff;\n  border-color: #3d3d3d;\n  border-width: 1px;\n  border-radius: 0.25rem;\n}\n\n.form-checkbox:focus {\n  outline: none;\n  box-shadow: 0 0 0 3px rgba(66, 153, 225, 0.5);\n  border-color: #63b3ed;\n}\n\n.form-radio:checked {\n  background-image: url(\"data:image/svg+xml,%3csvg fill='white' viewBox='0 0 16 16' xmlns='http://www.w3.org/2000/svg'%3e%3ccircle cx='8' cy='8' r='4.5'/%3e%3c/svg%3e\");\n  border-color: transparent;\n  background-color: currentColor;\n  background-size: 100% 100%;\n  background-position: center;\n  background-repeat: no-repeat;\n}\n\n@media not print {\n  .form-radio::-ms-check {\n    border-width: 1px;\n    color: transparent;\n    background: inherit;\n    border-color: inherit;\n    border-radius: inherit;\n  }\n}\n\n.form-radio {\n  -webkit-appearance: none;\n  appearance: none;\n  -webkit-print-color-adjust: exact;\n  color-adjust: exact;\n  display: inline-block;\n  vertical-align: middle;\n  background-origin: border-box;\n  -webkit-user-select: none;\n  user-select: none;\n  flex-shrink: 0;\n  border-radius: 100%;\n  height: 1.25rem;\n  width: 1.25rem;\n  color: #4299e1;\n  background-color: #fff;\n  border-color: #a0aec0;\n  border-width: 1px;\n}\n\n.form-radio:focus {\n  outline: none;\n  box-shadow: 0 0 0 3px rgba(66, 153, 225, 0.5);\n  border-color: #63b3ed;\n}\n\n.form-radio {\n  box-shadow: 0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06);\n}\n\n.border {\n  border-width: 1px;\n}\n";
styleInject(css_248z$2);

/**
 * Basic button
 */
var Button = function (props) {
    var _a;
    var children = props.children, onClick = props.onClick, _b = props.disabled, disabled = _b === void 0 ? false : _b, _c = props.light, light = _c === void 0 ? false : _c, _d = props.submit, submit = _d === void 0 ? false : _d, _e = props.plain, plain = _e === void 0 ? false : _e, _f = props.icon, icon = _f === void 0 ? false : _f, _g = props.alt, alt = _g === void 0 ? '' : _g, _h = props.className, className = _h === void 0 ? '' : _h, testId = props.testId;
    return (React.createElement("button", { className: classnames(styles.button, className, (_a = {},
            _a[styles.disabled] = disabled,
            _a[styles.light] = light,
            _a[styles.plain] = plain,
            _a[styles.icon] = !!icon,
            _a)), onClick: onClick, type: submit ? 'submit' : 'button', disabled: disabled, "data-testid": testId },
        icon && React.createElement("img", { src: icon, alt: alt }),
        React.createElement("span", null, children)));
};

var css_248z$3 = "@import url(\"https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap\");\n\n.Text-module_text__1J2s5 {\n  font-family: Roboto, sans-serif;\n  color: var(--accent-color);\n}\n\n.Text-module_text__1J2s5.Text-module_large__3ukZ7 {\n  font-size: 22px;\n  line-height: 30.8px;\n}\n\n.Text-module_text__1J2s5.Text-module_medium__2twa7 {\n  font-size: 18px;\n  line-height: 22.4px;\n}\n\n.Text-module_text__1J2s5.Text-module_normal__xZLde {\n  font-size: 16px;\n  line-height: 21.6px;\n}\n\n.Text-module_text__1J2s5.Text-module_small__GBwlD {\n  font-size: 14px;\n  line-height: 19.6px;\n}\n\n.Text-module_text__1J2s5.Text-module_tag__337lX {\n  font-size: 12px;\n  line-height: 16.8px;\n}\n\n.Text-module_text__1J2s5.Text-module_bold__1aRrO {\n  font-weight: bold;\n}\n";
var styles$1 = {"text":"Text-module_text__1J2s5","large":"Text-module_large__3ukZ7","medium":"Text-module_medium__2twa7","normal":"Text-module_normal__xZLde","small":"Text-module_small__GBwlD","tag":"Text-module_tag__337lX","bold":"Text-module_bold__1aRrO"};
styleInject(css_248z$3);

/**
     * Component explanation here
     */
// export const Text: React.FC<TextProps> = ({ type, text }: TextProps) => {
//   const toText = React.createElement(
//     type,
//     {
//       className: style[TEXT_TYPE[type]],
//     },
//     text,
//   );
//   return toText;
// };
var Text = function (props) {
    var _a;
    var type = props.type, _b = props.color, color = _b === void 0 ? null : _b, _c = props.bold, bold = _c === void 0 ? false : _c, children = props.children, testId = props.testId;
    return (React.createElement("span", { className: classnames(styles$1.text, styles$1[type], (_a = {},
            _a[styles$1.bold] = bold,
            _a)), style: { '--accent-color': color }, "data-testid": testId }, children));
};

var css_248z$4 = "@import url(\"https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap\");\n\n.Title-module_title__15wTK {\n  font-family: Poppins, sans-serif;\n  font-weight: bold;\n  line-height: 1.2;\n  color: var(--accent-color, #333);\n}\n\n.Title-module_title__15wTK.Title-module_h1__QOvur {\n  font-size: 36px;\n}\n\n.Title-module_title__15wTK.Title-module_h2__27A7w {\n  font-size: 22px;\n}\n\n.Title-module_title__15wTK.Title-module_h3__8yEh3 {\n  font-size: 16px;\n}\n";
var styles$2 = {"title":"Title-module_title__15wTK","h1":"Title-module_h1__QOvur","h2":"Title-module_h2__27A7w","h3":"Title-module_h3__8yEh3"};
styleInject(css_248z$4);

/**
 * Title component with three size options
 */
var Title = function (_a) {
    var type = _a.type, color = _a.color, children = _a.children, testId = _a.testId;
    var toTitle = React.createElement(type, { className: styles$2.title + " " + styles$2[type], style: { '--accent-color': color }, 'data-testid': testId }, children);
    return toTitle;
};

var css_248z$5 = "@import url(\"https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap\");\n\n.Link-module_linkComponent__GQcA- {\n  font-family: 'Roboto', sans-serif;\n  font-size: 12px;\n  color: #000;\n}\n";
var styles$3 = {"linkComponent":"Link-module_linkComponent__GQcA-"};
styleInject(css_248z$5);

/**
     * This is a custom 'a' element component that will open your especified 'href' in a new tab
     */
var Link = function (_a) {
    var href = _a.href, text = _a.text;
    return (React.createElement("a", { href: href, className: styles$3.linkComponent, target: "_blank", rel: "noopener noreferrer" }, text));
};

var css_248z$6 = "@import url(\"https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap\");\n\n@import url(\"https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap\");\n\n.TextInput-module_container__38fM3 {\n  font-size: 16px;\n  display: flex;\n  flex-direction: column;\n}\n\n.TextInput-module_container__38fM3 .TextInput-module_title__3899Q {\n  color: #4f4f4f;\n  font-weight: bold;\n  margin-bottom: 8px;\n  font-size: 1em;\n  font-family: Poppins, sans-serif;\n}\n\n.TextInput-module_container__38fM3 .TextInput-module_inputContainer__qkjCM {\n  display: flex;\n  border-radius: 5px;\n  border: 1px solid #bdbdbd;\n  padding-right: 0;\n}\n\n.TextInput-module_container__38fM3 .TextInput-module_inputContainer__qkjCM:active, .TextInput-module_container__38fM3 .TextInput-module_inputContainer__qkjCM:focus, .TextInput-module_container__38fM3 .TextInput-module_inputContainer__qkjCM:focus-within {\n  border-color: #4f4f4f;\n}\n\n.TextInput-module_container__38fM3 .TextInput-module_input__3YxM_ {\n  font-size: 1em;\n  border-radius: 5px;\n  flex: 1;\n  background: none;\n  padding: 1em;\n  padding-left: 1.5em;\n  padding-right: 2em;\n  color: #4f4f4f;\n  font-family: Roboto, sans-serif;\n}\n\n.TextInput-module_container__38fM3 .TextInput-module_input__3YxM_::placeholder {\n  /* Chrome, Firefox, Opera, Safari 10.1+ */\n  color: #bdbdbd;\n  opacity: 1;\n  /* Firefox */\n}\n\n.TextInput-module_container__38fM3 .TextInput-module_input__3YxM_:active, .TextInput-module_container__38fM3 .TextInput-module_input__3YxM_:focus {\n  border-color: #4f4f4f;\n  color: #4f4f4f;\n}\n\n.TextInput-module_container__38fM3 .TextInput-module_icon__2gs1J {\n  display: flex;\n  align-items: center;\n  padding-right: 0.875em;\n}\n\n.TextInput-module_container__38fM3.TextInput-module_error__2SOOW .TextInput-module_errorText__2RpsW {\n  color: #b3001b;\n  font-size: 0.75em;\n  margin-top: 6px;\n}\n\n.TextInput-module_container__38fM3.TextInput-module_error__2SOOW .TextInput-module_inputContainer__qkjCM {\n  border-color: #b3001b;\n}\n\n.TextInput-module_container__38fM3.TextInput-module_error__2SOOW .TextInput-module_inputContainer__qkjCM .TextInput-module_input__3YxM_ {\n  color: #b3001b;\n}\n\n.TextInput-module_container__38fM3.TextInput-module_error__2SOOW .TextInput-module_title__3899Q {\n  color: #b3001b;\n}\n\n.TextInput-module_container__38fM3.TextInput-module_success__2tK7h .TextInput-module_inputContainer__qkjCM {\n  border-color: #41f0a5;\n}\n\n.TextInput-module_container__38fM3.TextInput-module_disabled__3aeFr .TextInput-module_title__3899Q {\n  color: #bdbdbd;\n}\n\n.TextInput-module_container__38fM3.TextInput-module_disabled__3aeFr .TextInput-module_inputContainer__qkjCM {\n  border-color: #bdbdbd;\n  cursor: not-allowed;\n}\n\n.TextInput-module_container__38fM3.TextInput-module_disabled__3aeFr .TextInput-module_inputContainer__qkjCM .TextInput-module_input__3YxM_ {\n  -webkit-text-fill-color: #bdbdbd;\n  -webkit-opacity: 1;\n  opacity: 1;\n  color: #bdbdbd;\n  cursor: not-allowed;\n  background-color: transparent;\n}\n";
var styles$4 = {"container":"TextInput-module_container__38fM3","title":"TextInput-module_title__3899Q","inputContainer":"TextInput-module_inputContainer__qkjCM","input":"TextInput-module_input__3YxM_","icon":"TextInput-module_icon__2gs1J","error":"TextInput-module_error__2SOOW","errorText":"TextInput-module_errorText__2RpsW","success":"TextInput-module_success__2tK7h","disabled":"TextInput-module_disabled__3aeFr"};
styleInject(css_248z$6);

var Done = function (_a) {
    var hexColor = _a.hexColor;
    return (React.createElement("svg", { xmlns: "http://www.w3.org/2000/svg", height: "24", viewBox: "0 0 24 24", width: "24" },
        React.createElement("path", { fill: hexColor, d: "M9 16.2l-3.5-3.5c-.39-.39-1.01-.39-1.4 0-.39.39-.39 1.01 0 1.4l4.19 4.19c.39.39 1.02.39 1.41 0L20.3 7.7c.39-.39.39-1.01 0-1.4-.39-.39-1.01-.39-1.4 0L9 16.2z" })));
};

// eslint-disable-next-line no-unused-vars
/**
 * Generic text input
 */
var TextInput = function (props) {
    var _a;
    var title = props.title, name = props.name, value = props.value, placeholder = props.placeholder, _b = props.type, type = _b === void 0 ? 'text' : _b, onChange = props.onChange, disabled = props.disabled, _c = props.error, error = _c === void 0 ? false : _c, _d = props.success, success = _d === void 0 ? false : _d, _e = props.autoComplete, autoComplete = _e === void 0 ? '' : _e, inputRef = props.inputRef, testId = props.testId, _f = props.defaultValue, defaultValue = _f === void 0 ? '' : _f;
    // const [field, meta, helpers] = useField(props);
    return (React.createElement(React.Fragment, null,
        React.createElement("fieldset", { className: classnames(styles$4.container, (_a = {},
                _a[styles$4.error] = error,
                _a[styles$4.success] = success,
                _a[styles$4.disabled] = disabled,
                _a)) },
            title && (React.createElement("label", { className: styles$4.title }, title)),
            React.createElement("div", { className: styles$4.inputContainer },
                React.createElement("input", { className: styles$4.input, name: name, type: type, placeholder: placeholder, value: value, defaultValue: defaultValue, onChange: onChange, disabled: disabled, autoComplete: autoComplete, ref: inputRef, "data-testid": testId }),
                success && (React.createElement("div", { className: styles$4.icon },
                    React.createElement(Done, { hexColor: "#41f0a5" })))),
            error && (React.createElement("span", { className: styles$4.errorText }, error)))));
};

var css_248z$7 = "@import url(\"https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap\");\n\n.Select-module_container__1uMKE {\n  display: flex;\n  flex-direction: column;\n}\n\n.Select-module_container__1uMKE .Select-module_title__14B5m {\n  color: #4f4f4f;\n  font-weight: bold;\n  margin-bottom: 8px;\n  font-size: 1em;\n  font-family: Poppins, sans-serif;\n}\n\n.Select-module_container__1uMKE .Select-module_selectContainer__3jEYU {\n  position: relative;\n}\n\n.Select-module_container__1uMKE .Select-module_selectContainer__3jEYU select {\n  -webkit-appearance: none;\n  appearance: none;\n  display: flex;\n  border-radius: 5px;\n  border: 1px solid #bdbdbd;\n  padding: 1em;\n  padding-left: 1.5em;\n  padding-right: 0;\n  width: 100%;\n}\n\n.Select-module_container__1uMKE .Select-module_selectContainer__3jEYU select:active, .Select-module_container__1uMKE .Select-module_selectContainer__3jEYU select:focus, .Select-module_container__1uMKE .Select-module_selectContainer__3jEYU select:focus-within {\n  border-color: #4f4f4f;\n}\n\n.Select-module_container__1uMKE .Select-module_selectContainer__3jEYU select.Select-module_error__2dO6Y {\n  border-color: #b3001b;\n}\n\n.Select-module_container__1uMKE .Select-module_selectContainer__3jEYU select.Select-module_error__2dO6Y .Select-module_errorText__2U8te {\n  color: #b3001b;\n  font-size: 0.75em;\n  margin-top: 6px;\n}\n\n.Select-module_container__1uMKE .Select-module_selectContainer__3jEYU select.Select-module_error__2dO6Y .Select-module_title__14B5m {\n  color: #b3001b;\n}\n\n.Select-module_container__1uMKE .Select-module_selectContainer__3jEYU select.Select-module_success__2Pn0r {\n  border-color: #036d19;\n}\n\n.Select-module_container__1uMKE .Select-module_selectContainer__3jEYU select.Select-module_disabled__2GG7Z {\n  border-color: #bdbdbd;\n  cursor: not-allowed;\n}\n\n.Select-module_container__1uMKE .Select-module_selectContainer__3jEYU select.Select-module_disabled__2GG7Z .Select-module_title__14B5m {\n  color: #bdbdbd;\n}\n\n.Select-module_container__1uMKE .Select-module_selectContainer__3jEYU .Select-module_chevron__353PX {\n  position: absolute;\n  height: 20px;\n  right: 19px;\n  top: 19px;\n  pointer-events: none;\n}\n\n.Select-module_container__1uMKE.Select-module_error__2dO6Y .Select-module_errorText__2U8te {\n  color: #b3001b;\n  font-size: 0.75em;\n  margin-top: 6px;\n}\n\n.Select-module_container__1uMKE.Select-module_error__2dO6Y select {\n  border-color: #b3001b;\n}\n\n.Select-module_container__1uMKE.Select-module_error__2dO6Y .Select-module_title__14B5m {\n  color: #b3001b;\n}\n\n.Select-module_container__1uMKE.Select-module_disabled__2GG7Z .Select-module_title__14B5m {\n  color: #bdbdbd;\n}\n\n.Select-module_container__1uMKE.Select-module_disabled__2GG7Z select {\n  border-color: #bdbdbd;\n  cursor: not-allowed;\n}\n";
var styles$5 = {"container":"Select-module_container__1uMKE","title":"Select-module_title__14B5m","selectContainer":"Select-module_selectContainer__3jEYU","error":"Select-module_error__2dO6Y","errorText":"Select-module_errorText__2U8te","success":"Select-module_success__2Pn0r","disabled":"Select-module_disabled__2GG7Z","chevron":"Select-module_chevron__353PX"};
styleInject(css_248z$7);

/**
 * Just a simple select component
 */
var Select = function (props) {
    var _a;
    var name = props.name, title = props.title, value = props.value, onChange = props.onChange, disabled = props.disabled, error = props.error, success = props.success, children = props.children;
    return (React.createElement("fieldset", { className: classnames(styles$5.container, (_a = {},
            _a[styles$5.error] = error,
            _a[styles$5.success] = success,
            _a[styles$5.disabled] = disabled,
            _a)) },
        title && (React.createElement("label", { className: styles$5.title }, title)),
        React.createElement("div", { className: styles$5.selectContainer },
            React.createElement("select", { name: name, value: value, onChange: onChange, disabled: disabled }, children),
            React.createElement("svg", { className: styles$5.chevron, xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 20 20" },
                React.createElement("path", { d: "M9.293 12.95l.707.707L15.657 8l-1.414-1.414L10 10.828 5.757 6.586 4.343 8z" }))),
        error && (React.createElement("span", { className: styles$5.errorText }, error))));
};

export { Button, Link, Select, Text, TextInput, Title };
//# sourceMappingURL=index.es.js.map
